package cn.com.qmth.examcloud.core.basic.dao.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import cn.com.qmth.examcloud.commons.base.util.excel.ExcelProperty;
import cn.com.qmth.examcloud.commons.web.jpa.JpaEntity;

/**
 * Created by songyue on 17/1/13.
 */
@Entity
@Table(name = "EC_B_ORG")
public class OrgEntity extends JpaEntity {

	private static final long serialVersionUID = -592353272256492483L;

	@Id
	@GeneratedValue
	private Long id;

	@Column(nullable = false)
	private Long rootId;

	@Column(nullable = false)
	private Long parentId;

	private Integer level;

	@ExcelProperty(name = "机构名称", index = 0)
	@Column(nullable = false)
	private String name;

	@ExcelProperty(name = "机构代码", index = 1)
	@Column(nullable = false)
	private String code;

	@Column(nullable = false)
	private Boolean enable;

	/**
	 * 联系电话
	 */
	@ExcelProperty(name = "联系电话", index = 3)
	private String telephone;

	/**
	 * 联系人
	 */
	@ExcelProperty(name = "联系人", index = 2)
	private String contacts;

	/**
	 * 备注
	 */
	private String remark;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getRootId() {
		return rootId;
	}

	public void setRootId(Long rootId) {
		this.rootId = rootId;
	}

	public Long getParentId() {
		return parentId;
	}

	public void setParentId(Long parentId) {
		this.parentId = parentId;
	}

	public Integer getLevel() {
		return level;
	}

	public void setLevel(Integer level) {
		this.level = level;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public Boolean getEnable() {
		return enable;
	}

	public void setEnable(Boolean enable) {
		this.enable = enable;
	}

	public String getTelephone() {
		return telephone;
	}

	public void setTelephone(String telephone) {
		this.telephone = telephone;
	}

	public String getContacts() {
		return contacts;
	}

	public void setContacts(String contacts) {
		this.contacts = contacts;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

}
